curl --request GET \
--url https://scrapebadger.com/v1/twitter/geo/places/{place_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/geo/places/{place_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/geo/places/{place_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5a110d312052166f",
"name": "San Francisco",
"full_name": "San Francisco, CA",
"country": "United States",
"country_code": "US",
"place_type": "city",
"url": "<string>",
"bounding_box": {
"type": "Polygon",
"coordinates": [
[
[
123
]
]
]
},
"attributes": {}
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Get Place Details
Get detailed information about a specific geographic place. Returns comprehensive place data including full name, country, place type, bounding box coordinates, and additional attributes. Use place IDs obtained from the geo search endpoint.
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Path Parameters
The unique ID of the place.
"5a110d312052166f"
Response
Successfully retrieved place details.
Geographic place data.
Unique place identifier.
"5a110d312052166f"
Place name.
"San Francisco"
Full place name including region.
"San Francisco, CA"
Country name.
"United States"
ISO country code.
"US"
Type of place.
city, country, admin, poi, neighborhood Twitter URL for the place.
Geographical bounding box coordinates.
Show child attributes
Show child attributes
Additional place attributes.
Show child attributes
Show child attributes

